<?php
error_reporting(0);
$target = 'guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");
include("logos.php");
require "zip.php";
unset($_SESSION['cadena_csv']);
unset($_SESSION['nombcsv']);
$fecha_actual = date("Y-m-d");
$_SESSION['nombcsv']='ConsultaOrdenArea_' . $fecha_actual . '.csv';
$_SESSION['cadena_csv']= "ORDEN;Imagenes;";
$nombrepagina = "CONSULTA ORDEN - Imagenes";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;
$_SESSION['ip']='';
if(isset($_POST['ruta_web'])){
	$_SESSION['ip']=$_POST['ruta_web'];
}

if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }
    ?>
    <link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
    <link rel="stylesheet" href="css/modal-message.css" type="text/css">
    <script type="text/javascript" src="js/modal-message.js"></script>
    <script type="text/javascript">
        messageObj = new DHTML_modalMessage();	// We only create one object of this class
        messageObj.setShadowOffset(0);	// Large shadow
        function displayStaticMessage(messageContent, cssClass, src)
        {


            document.backup.guia.disabled = true;
            messageObj.setHtmlContent(messageContent);
            messageObj.setSize(450, 120);
            messageObj.setCssClassMessageBox(cssClass);
            messageObj.setSource(false);	// no html source since we want to use a static message here.
            messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
            messageObj.display();

        }
        function cierraMessage()
        {
            messageObj.close();
            document.backup.guia.disabled = false;
            document.backup.guia.focus();
        }


        function reproducir() {
            document.all['cancion'].src = 'sound/alert.wav'
        }

    </script>
    <script language="javascript" src="js/popcalendar.js"></script>
    <form action="" method="POST" name="backup"><CENTER>
            <table width="300" border="0" class="primaria">

               <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: ORDEN - Imagen ::..</div></td>
                </tr>
		<tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        Ruta :
                    </td>
                    <td width="200" class="miTable_td">
                        <input cols="20" rows="7" name="ruta_web" id="ruta_web">
                    </td>
                </tr>
                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        No ODS:
                    </td>
                    <td width="200" class="miTable_td">
                        <input cols="20" rows="7" name="arr_ods" id="guia">
                    </td>
                </tr>
                <tr  class="miTable_tr">
                    <td width="100" class="miTable_td">
                        Numeros de guias(* para todos los registros):
                    </td>
                    <td width="200" class="miTable_td">
                        <textarea cols="20" rows="10" name="guias" id="guias"></textarea>
                    </td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Consultar" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
            
</form>          
            
            
            <?
            $db = new conexion();
            $db->conectarse();

            function titulos() {
                $db = new conexion();
                $db->conectarse();
                echo "<div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:400px'>";
                echo "<table border='0' width='720' class='primaria'>";
                echo "<tr class=miTable_tr>";
                echo "<td width=60 valign=top class=miTable_th1>ORDEN</td>";
                echo "<td width=140 valign=top class=miTable_th1>AREA</td>";
                $rsEst = $db->consultar("select *from estados_gestion where id_estado>=12");

                while ($ret = mysql_fetch_array($rsEst)) {
                    echo "<td valign=top class=miTable_th1 nowrap='nowrap'>" . $ret['nombre'] . "</td>";
                    $_SESSION['cadena_csv'] .= $ret['nombre'] . ';';
                }

                $_SESSION['cadena_csv'] = substr($_SESSION['cadena_csv'], 0, -1);
                $_SESSION['cadena_csv'] .=chr(13).chr(10);

                $db->cerrar();
            }

function DibujaOds($num_ods,$guias,$opt) {
                $db = new conexion();
                $db->conectarse();
                if($opt==1){
                     $rs = $db->consultar("select path from guias_proceso where (id_estado='15' or id_estado='23')
                        and guia in (" . $guias . ")
                        and orden='" . $num_ods . "'");
                }else if($opt==0){
                     $rs = $db->consultar("select path from guias_proceso where (id_estado='15' or id_estado='23') 
                        and orden='" . $num_ods . "'");
                }else if($opt==3){
                     $rs = $db->consultar("select path from guias_proceso where id_estado='15'
                        and guia in (" . $guias . ")");
                }
$ip=$_SESSION['ip'];
if($ip==''){
	$ip='http://192.157.230.221/DIGITALIZACION_2018_GIF/';
}
$nombreimagen='';
$directorio = "imagenes_guias";
if (file_exists($directorio)) {
$archivos = scandir($directorio);
$num = count($archivos);
if($num>=1){
for ($i=0; $i<=$num; $i++) {
    unlink ($directorio."/".$archivos[$i]); 
}
}
}else{
   mkdir('imagenes_guias',0777);  
}
$cantidadImagenes=0;                
$cantidadImagenes_no=0; 
                  while ($res = mysql_fetch_array($rs)) {
                        $enlace = $ip . str_replace('/DIGITALIZACION_2018_GIF/','',$res['path']);
                        //echo $enlace.'<br>';
                        $pos = strrpos($res['path'], "/");
                            if ($pos === false) {}else{
                                $nombreimagen=substr($res['path'],$pos+1);  
                                }  
                        $imagen = file_get_contents($enlace);
                        file_put_contents('imagenes_guias/'.$nombreimagen, $imagen);
                        chmod('imagenes_guias/'.$nombreimagen, 0777);
                      $cantidadImagenes=$cantidadImagenes + 1; 
                  }
 echo "<p><h1>Imagenes encontradas y exportadas: ".$cantidadImagenes."</h2></p><a href='descargar_img_ordenes.php'>Descargar Zip de imagenes</a>";
                $db->cerrar();
               
            }/*fin de funcion*/
    
echo  "Orden de servicio: ".$arr_ods;
$n_guia = $_POST['guias'];
if($n_guia!=''){
$input=explode("\n",$n_guia);
$arr_guia=array_unique($input);
$ga=count($arr_guia)-1;
echo $ga;
if(count($arr_guia)==1){
        DibujaOds($arr_ods,0,0);
}else{
  $arreglo_guia="";
    for($ytr=0;$ytr<=count($arr_guia);$ytr++){
		$num_guia=trim($arr_guia[$ytr]);
		if(!empty($num_guia)){
            $arreglo_guia="'".$num_guia."',".$arreglo_guia;
        }
    }
        $arr_guia= substr($arreglo_guia,0,strlen($arreglo_guia) - 1) ;
    if($arr_ods==""){
        DibujaOds($arr_ods,$arr_guia,3);
    }else{
        DibujaOds($arr_ods,$arr_guia,1);   
    }
}
}elseif($arr_ods!=''){
     DibujaOds($arr_ods,0,0);
}
     
    
            echo "</div>";            
            echo "</table>";
            mostrar_pie();
        }
//$pla=$_SESSION['planilla'];
        echo"</td>";
        echo"</tr>";
        echo"</table>";
        echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
        <td>
        <center>
            <? pie_de_pagina(); ?>
        </center>
        </td>
        <?php
        echo"</tr>";
        echo"</tbody></table>";

        echo"</center>";
        echo"</body>";
        echo"</html>";
        ?>
    </CENTER>


